Loading...
Searching...
No Matches
GeisGestureAttr Struct Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription

An individual gesture attribute. More...

`#include <geis.h>`

## Data Fields

GeisString | name
| The name of the gesture attribute.
GeisAttrType | type
| The data type of the gesture attribute.
union { |
GeisBoolean boolean_val |
GeisFloat float_val |
GeisInteger integer_val |
GeisString string_val |
}; |
| The value of the attributes.

## Detailed Description

An individual gesture attribute.

Gesture events are associated with a list of attributes, each of which is a (name, type, value) tuple. These attribute reveal a little piece of information about a gesture.

The documentation for this struct was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h